Heartbleed Update

On April 7, the OpenSSL project issued a Security Advisory that detailed a serious vulnerability in the encryption software in use by a large percentage of the internet. This vulnerability (nicknamed "Heartbleed") would potentially allow attackers to retrieve information from encrypted SSL endpoints. 

While we do not believe any of our alumni accounts have been compromised, we have taken steps to secure alumni.caltech.edu infrastructure against this vulnerability by patching our servers and updating our SSL certificates. As an extra precaution we recommend you take a moment to reset your passwords.

For accounts on external sites that may be vulnerable, changing your password is prudent, but we advise giving the affected site time to implement a fix before you do so.

We will continue to monitor this situation and secure our service against this vulnerability.

If you have any questions, please email us at info@alumni.caltech.edu.